%define product         Epoz
%define version         2.0.2
%define release         3

%define zope_minver     2.7

%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Summary:        Epoz allows you to edit Zope-objects with a wysiwyg-editor
Name:           zope-%{product}
Version:        %{version}
Release:        %mkrel %{release}
License:        GPL
Group:          System/Servers
Source:         http://mjablonski.zope.de/Epoz/releases/Epoz-%{version}.tar.bz2
URL:            http://mjablonski.zope.de/Epoz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}

%description
No plugins are required. You only have to use a recent browser (IE >= 5.5, 
Mozilla >= 1.3.1, Netscape >= 7.1, Firebird >= 0.7) that supports 
Rich-Text-controls (called Midas for Mozilla).

%prep
%setup -c -q

%build
find -name '*.tar.gz' -exec rm -f {} \;
rm -f Epoz/.project

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*



%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 14:36:05 (53918)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:58:28 (42756)
Import zope-Epoz

* Tue Jan 24 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.2-1mdk
- New release 2.0.2

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.1-2mdk
- fix path on x86_64

* Thu Aug 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.1-1mdk
- New release 2.0.1

* Tue Jun 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.0-1mdk
- New release 2.0.0

* Sun Apr 24 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.9.0-2mdk
- use mkrel

* Wed Jan 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9.0-1mdk
- New release 0.9.0

* Sun Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.6-1mdk
- initial contrib

